<?php

/**
 * @file
 * Contains a pre-process hook for 'views_view'.
 */

/**
 * Implements template_preprocess_views_view().
 */
function wcm_omega_preprocess_views_view(&$vars) {
  $view = $vars['view'];

  if (empty($view->header['result'])) {
    $result = new views_handler_area_result();
    $result->construct();
    $result->init($view, $result->options);
    $result->options['content'] = '<div class="element-invisible">' . $result->options['content'] . '</div>';

    $view->header['result'] = $result;
    $vars['header'] .= $view->display_handler->render_header();
  }

  // Add necessary attributes and JS for accessible slideshow.
  if ($view->name == 'featured_slideshow' && $view->current_display == 'block') {
    $vars['classes_array'][] = 'carousel--container';
    $vars['attributes_array']['data-carousel-existing-hx'] = '.slide-title';
    $vars['attributes_array']['data-carousel-transition'] = 'fade';
    $vars['attributes_array']['data-carousel-btn-previous-text'] = 'Show previous panel';
    $vars['attributes_array']['data-carousel-btn-next-text'] = 'Show next panel';
    $vars['attributes_array']['data-carousel-prefix-classes'] = 'slideshow';
    $vars['attributes_array']['data-carousel-span-text-class'] = 'element-invisible';
    $vars['attributes_array']['data-carousel-span-text'] = 'Slide';

    drupal_add_js(drupal_get_path('theme', 'wcm_omega') . '/js/accessibleCarouselARIA/jquery.accessibleCarouselARIA.js');
    drupal_add_js(drupal_get_path('theme', 'wcm_omega') . '/js/touchSwipe/jquery.touchSwipe.js');
  }
}
